Subject: Re: [Oops] fib_trie with ip route add throw since 2.6.25

From: Ben Hutchings <[email-masked]>
Date: Mon, 7 Jul 2008 21:25:59 +0100

Stephen Hemminger wrote:
[...]
> Agreed, a little more explanation would be good
>    * return values?? fn_trie_lookup is same as fn_hash_lookup
>    * check_leaf use return value of fn_trie_lookup so it can warpout without conditional
>    * this needs some comments.

It does, doesn't it?  I still don't know what the return values mean, but
when William found this I stared at the diff and looked at the callers
until I spotted what the functional change was. :-)

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.